## net.dontdrinkandroot.lastfm.api.queries
Class AbstractPostQuery<T extends java.io.Serializable>

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.queries.AbstractQuery<T>
          net.dontdrinkandroot.lastfm.api.queries.AbstractPostQuery<T>

All Implemented Interfaces:
  AuthenticatedQuery<T>, PostQuery<T>, Query<T>

Direct Known Subclasses:
  NoResponsePostQuery

    public abstract class AbstractPostQuery<T extends java.io.Serializable>

extends AbstractQuery<T>
implements PostQuery<T>

Constructor Summary
`AbstractPostQuery(java.lang.String method)`

Method Summary

Methods inherited from class net.dontdrinkandroot.lastfm.api.queries.AbstractQuery
`addAdditionalParameters, addParameter, getMethod, getParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.dontdrinkandroot.lastfm.api.queries.Query
`addParameter, getMethod, getParameters, parse`

Constructor Detail

### AbstractPostQuery

    public AbstractPostQuery(java.lang.String method)

Copyright © 2012. All Rights Reserved.